/*******************************************************************************
* File Name: com.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_com_ALIASES_H) /* Pins com_ALIASES_H */
#define CY_PINS_com_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define com_0			(com__0__PC)
#define com_0_PS		(com__0__PS)
#define com_0_PC		(com__0__PC)
#define com_0_DR		(com__0__DR)
#define com_0_SHIFT	(com__0__SHIFT)
#define com_0_INTR	((uint16)((uint16)0x0003u << (com__0__SHIFT*2u)))

#define com_1			(com__1__PC)
#define com_1_PS		(com__1__PS)
#define com_1_PC		(com__1__PC)
#define com_1_DR		(com__1__DR)
#define com_1_SHIFT	(com__1__SHIFT)
#define com_1_INTR	((uint16)((uint16)0x0003u << (com__1__SHIFT*2u)))

#define com_2			(com__2__PC)
#define com_2_PS		(com__2__PS)
#define com_2_PC		(com__2__PC)
#define com_2_DR		(com__2__DR)
#define com_2_SHIFT	(com__2__SHIFT)
#define com_2_INTR	((uint16)((uint16)0x0003u << (com__2__SHIFT*2u)))

#define com_3			(com__3__PC)
#define com_3_PS		(com__3__PS)
#define com_3_PC		(com__3__PC)
#define com_3_DR		(com__3__DR)
#define com_3_SHIFT	(com__3__SHIFT)
#define com_3_INTR	((uint16)((uint16)0x0003u << (com__3__SHIFT*2u)))

#define com_INTR_ALL	 ((uint16)(com_0_INTR| com_1_INTR| com_2_INTR| com_3_INTR))


#endif /* End Pins com_ALIASES_H */


/* [] END OF FILE */
