/*******************************************************************************
* File Name: segment.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_segment_ALIASES_H) /* Pins segment_ALIASES_H */
#define CY_PINS_segment_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define segment_0			(segment__0__PC)
#define segment_0_PS		(segment__0__PS)
#define segment_0_PC		(segment__0__PC)
#define segment_0_DR		(segment__0__DR)
#define segment_0_SHIFT	(segment__0__SHIFT)
#define segment_0_INTR	((uint16)((uint16)0x0003u << (segment__0__SHIFT*2u)))

#define segment_1			(segment__1__PC)
#define segment_1_PS		(segment__1__PS)
#define segment_1_PC		(segment__1__PC)
#define segment_1_DR		(segment__1__DR)
#define segment_1_SHIFT	(segment__1__SHIFT)
#define segment_1_INTR	((uint16)((uint16)0x0003u << (segment__1__SHIFT*2u)))

#define segment_2			(segment__2__PC)
#define segment_2_PS		(segment__2__PS)
#define segment_2_PC		(segment__2__PC)
#define segment_2_DR		(segment__2__DR)
#define segment_2_SHIFT	(segment__2__SHIFT)
#define segment_2_INTR	((uint16)((uint16)0x0003u << (segment__2__SHIFT*2u)))

#define segment_3			(segment__3__PC)
#define segment_3_PS		(segment__3__PS)
#define segment_3_PC		(segment__3__PC)
#define segment_3_DR		(segment__3__DR)
#define segment_3_SHIFT	(segment__3__SHIFT)
#define segment_3_INTR	((uint16)((uint16)0x0003u << (segment__3__SHIFT*2u)))

#define segment_4			(segment__4__PC)
#define segment_4_PS		(segment__4__PS)
#define segment_4_PC		(segment__4__PC)
#define segment_4_DR		(segment__4__DR)
#define segment_4_SHIFT	(segment__4__SHIFT)
#define segment_4_INTR	((uint16)((uint16)0x0003u << (segment__4__SHIFT*2u)))

#define segment_5			(segment__5__PC)
#define segment_5_PS		(segment__5__PS)
#define segment_5_PC		(segment__5__PC)
#define segment_5_DR		(segment__5__DR)
#define segment_5_SHIFT	(segment__5__SHIFT)
#define segment_5_INTR	((uint16)((uint16)0x0003u << (segment__5__SHIFT*2u)))

#define segment_6			(segment__6__PC)
#define segment_6_PS		(segment__6__PS)
#define segment_6_PC		(segment__6__PC)
#define segment_6_DR		(segment__6__DR)
#define segment_6_SHIFT	(segment__6__SHIFT)
#define segment_6_INTR	((uint16)((uint16)0x0003u << (segment__6__SHIFT*2u)))

#define segment_7			(segment__7__PC)
#define segment_7_PS		(segment__7__PS)
#define segment_7_PC		(segment__7__PC)
#define segment_7_DR		(segment__7__DR)
#define segment_7_SHIFT	(segment__7__SHIFT)
#define segment_7_INTR	((uint16)((uint16)0x0003u << (segment__7__SHIFT*2u)))

#define segment_INTR_ALL	 ((uint16)(segment_0_INTR| segment_1_INTR| segment_2_INTR| segment_3_INTR| segment_4_INTR| segment_5_INTR| segment_6_INTR| segment_7_INTR))


#endif /* End Pins segment_ALIASES_H */


/* [] END OF FILE */
